```wmd-options
language = es
title_i18n = errors_manager_title_set_blocks
title_text = set_blocks - ErrorsManager
```

<!-- [[wmd]] -->

### set_blocks

[[@ [String] ErrorsManager.set_blocks(!String code, !Array.<Integer> blocks, Integer bit = 0, Integer length = 0)]]

El método **set_blocks** es un método objeto que nos permite realizar dos acciones:

* Establecer uno o más códigos de error en formato Integer sobre otro en formato String ya dado.
* Y también nos permite resetear Bits del código de error a 0. 

Ambas funciones de establecer valor y resetear a cero son mezclables, es decir, cuando se establece un valor, éste se une mediante "OR" al código actual desde la posición que se le determine, por tanto, si lo que se quiere es substituir Bits lo que hay que hacer es pasar a cero los Bits que se crean que vayan a ser alterados.

> [!!] Es importante destacar que en lenguajes de tipados flexibles como JavaScript, esta función puede cubrir no sólo códigos de error en formato numérico entero sino también en String y Array, y es el motivo por el cual se puede encontrar este método como unificado en dichos entornos. Para este motivo tendríamos la siguiente estructura de método.

[[@ [String] ErrorsManager.set(!(String|Integer|Array<Integer>) code, !(String|Integer|Array<Integer>) error, Integer bit = 0, Integer length = 0)]]

> [!!] Para lenguajes rígidos como los SQL, C#, etc. Para poder integrar otro código de error String es necesario llamar al método "join" en vez de a éste, en los lenguajes flexibles puede hacerse uso de ambos.

<!-- [[wmd]] -->