```wmd-options
language = es
title_i18n = errors_manager_title_targets
title_text = Objetivos - ErrorsManager
```

<!-- [[wmd]] -->

## Objetvos

Para ver el estado del proyecto con respecto a lo que sería el objetivo final, tenemos lo siguiente:

+ [-] Crear diseño y logo.
    + [X] Código de colores \(El mismo que AnP).
    + [X] Crear diseño \(El mismo que WMarkDown).
    + [ ] Crear logo.
+ [-] Montar la documentación.
    + [-] Documentación general.
    + [ ] Documentación de la librería.
- [X] Python.
    + [X] Función *set_alphabet*.
    + [X] Función *get_alphabet*.
    + [X] Función *process*.
    + [X] Función *bits*.
    + [X] Función *to_array*.
    + [X] Función *to_array_binary*.
    + [X] Función *to_integer*.
    + [X] Función *to_string*.
    + [X] Función *has*.
    + [X] Función *to_unknown*.
    + [X] Función *compact*.
    + [X] Función *[[!bitwise]]*.
    + [X] Función *set*.
    + [X] Función *join*.
    + [X] Función *set_blocks*.
    + [X] Función *slice*.
    + [X] Función *has_range*.
    + [X] Función *is_string*.
    + [X] Función *is_integer*.
    + [X] Función *is_array*.
    + [X] Función *type*.
- [ ] PHP.
    + [ ] Función *set_alphabet*.
    + [ ] Función *get_alphabet*.
    + [ ] Función *process*.
    + [ ] Función *bits*.
    + [ ] Función *to_array*.
    + [ ] Función *to_array_binary*.
    + [ ] Función *to_integer*.
    + [ ] Función *to_string*.
    + [ ] Función *has*.
    + [ ] Función *to_unknown*.
    + [ ] Función *compact*.
    + [ ] Función *[[!bitwise]]*.
    + [ ] Función *set*.
    + [ ] Función *join*.
    + [ ] Función *set_blocks*.
    + [ ] Función *slice*.
    + [ ] Función *has_range*.
    + [ ] Función *is_string*.
    + [ ] Función *is_integer*.
    + [ ] Función *is_array*.
    + [ ] Función *type*.
- [ ] C#.
    + [ ] Función *set_alphabet*.
    + [ ] Función *get_alphabet*.
    + [ ] Función *process*.
    + [ ] Función *bits*.
    + [ ] Función *to_array*.
    + [ ] Función *to_array_binary*.
    + [ ] Función *to_integer*.
    + [ ] Función *to_string*.
    + [ ] Función *has*.
    + [ ] Función *to_unknown*.
    + [ ] Función *compact*.
    + [ ] Función *[[!bitwise]]*.
    + [ ] Función *set*.
    + [ ] Función *join*.
    + [ ] Función *set_blocks*.
    + [ ] Función *slice*.
    + [ ] Función *has_range*.
    + [ ] Función *is_string*.
    + [ ] Función *is_integer*.
    + [ ] Función *is_array*.
    + [ ] Función *type*.
- [X] JavaScript/ECMAScript.
    + [X] Función *set_alphabet*.
    + [X] Función *get_alphabet*.
    + [X] Función *process*.
    + [X] Función *bits*.
    + [X] Función *to_array*.
    + [X] Función *to_array_binary*.
    + [X] Función *to_integer*.
    + [X] Función *to_string*.
    + [X] Función *has*.
    + [X] Función *to_unknown*.
    + [X] Función *compact*.
    + [X] Función *[[!bitwise]]*.
    + [X] Función *set*.
    + [X] Función *join*.
    + [X] Función *set_blocks*.
    + [X] Función *slice*.
    + [X] Función *has_range*.
    + [X] Función *is_string*.
    + [X] Función *is_integer*.
    + [X] Función *is_array*.
    + [X] Función *type*.
- [ ] MySQL/MariaDB.
    + [ ] Función *set_alphabet*.
    + [ ] Función *get_alphabet*.
    + [ ] Función *process*.
    + [ ] Función *bits*.
    + [ ] Función *to_array*.
    + [ ] Función *to_array_binary*.
    + [ ] Función *to_integer*.
    + [ ] Función *to_string*.
    + [ ] Función *has*.
    + [ ] Función *to_unknown*.
    + [ ] Función *compact*.
    + [ ] Función *[[!bitwise]]*.
    + [ ] Función *set*.
    + [ ] Función *join*.
    + [ ] Función *set_blocks*.
    + [ ] Función *slice*.
    + [ ] Función *has_range*.
- [ ] SQLServer.
    + [ ] Función *set_alphabet*.
    + [ ] Función *get_alphabet*.
    + [ ] Función *process*.
    + [ ] Función *bits*.
    + [ ] Función *to_array*.
    + [ ] Función *to_array_binary*.
    + [ ] Función *to_integer*.
    + [ ] Función *to_string*.
    + [ ] Función *has*.
    + [ ] Función *to_unknown*.
    + [ ] Función *compact*.
    + [ ] Función *[[!bitwise]]*.
    + [ ] Función *set*.
    + [ ] Función *join*.
    + [ ] Función *set_blocks*.
    + [ ] Función *slice*.
    + [ ] Función *has_range*.
- [ ] Rust.
    + [ ] Función *set_alphabet*.
    + [ ] Función *get_alphabet*.
    + [ ] Función *process*.
    + [ ] Función *bits*.
    + [ ] Función *to_array*.
    + [ ] Función *to_array_binary*.
    + [ ] Función *to_integer*.
    + [ ] Función *to_string*.
    + [ ] Función *has*.
    + [ ] Función *to_unknown*.
    + [ ] Función *compact*.
    + [ ] Función *[[!bitwise]]*.
    + [ ] Función *set*.
    + [ ] Función *join*.
    + [ ] Función *set_blocks*.
    + [ ] Función *slice*.
    + [ ] Función *has_range*.
    + [ ] Función *is_string*.
    + [ ] Función *is_integer*.
    + [ ] Función *is_array*.
    + [ ] Función *type*.
+ [ ] Subir y publicar el proyecto.

<!-- [[wmd]] -->