```wmd-options
language = es
title_i18n = errors_manager_title_manual
title_text = Manual - ErrorsManager
```

<!-- [[wmd]] -->

## Manual

[[include manual/basis.w.md]]

[[include manual/set_alphabet.w.md]]

[[include manual/get_alphabet.w.md]]

[[include manual/is_string.w.md]]

[[include manual/is_integer.w.md]]

[[include manual/is_array.w.md]]

[[include manual/type.w.md]]

[[include manual/process.w.md]]

[[include manual/bits.w.md]]

[[include manual/to_array.w.md]]

[[include manual/to_array_binary.w.md]]

[[include manual/to_integer.w.md]]

[[include manual/to_string.w.md]]

[[include manual/to_unknown.w.md]]

[[include manual/has.w.md]]

[[include manual/has_range.w.md]]

[[include manual/compact.w.md]]

[[include manual/bitwise.w.md]]

[[include manual/set.w.md]]

[[include manual/join.w.md]]

[[include manual/set_blocks.w.md]]

[[include manual/slice.w.md]]

<!-- [[wmd]] -->